<?php namespace ProcessWire;
/*
 * Simple module for Flex Repeater outputting a text area
 *
 * This example does not create an own field but uses the type of field configured
 * for the RepeaterFlex field as "TextArea". Any field compatible to FieldtypeTextArea
 * may be selected.
 */

class FlexTextArea extends RepeaterFlexItem {
	public static function getModuleInfo() {	// Return information about this plugin
		return array(
			'title' => __('General TextArea for Flex Repeater'), // Module Title
			'version' => 1,		// Version not evaluated yet, but good idea to have it...
			'label' => __('Block of Text'),	// Label used for new items
			'icon' => 'fa fa-align-left',	// use this FontAwesome icon

			// Optional strings:
			// Summary shown when hovering the label
			'summary' => __('Add a block of formattable text.'),
			// Additional comments, displayed along with the item editor
			'description' => __('The content of the text will be displayed according to the surrounding container'),
			// Additional notes, displayed along with the item editor
			'notes' => __('The available features for this field can be configured in the settings of the mapped field'),
			);
	}
	public static function getFields() {	// Return description of the item's fields
		return([
			'@TextAreaMarkup' => RepeaterFlexItem::TextAreaMarkup('Just some Text')
/*
			'@TextAreaMarkup' => [			// Use an existing field
				'hint' => __('Select a TextArea field which will be output as markup'),
				'fieldtype' => 'TextArea',	// expected fieldtype
				],
*/
		]);
	}
	public function render(Page $pg) {		// Render this field
		return($pg->TextAreaMarkup);		// Just output the textarea
	}
}
